Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.genericasync.helper
Class DefaultCommonAsyncService

    java.lang.Object
      be.ehealth.businessconnector.genericasync.helper.DefaultCommonAsyncService

All Implemented Interfaces:
  CommonAsyncService

Direct Known Subclasses:
  MedadminServiceImpl, MemberDataServiceImpl

    public class DefaultCommonAsyncService

extends Object
implements CommonAsyncService

Constructor Summary
`DefaultCommonAsyncService(String projectName)`

Method Summary
`ConfirmResponse` | `confirmAll(ProcessedGetResponse getResponse)`
`ConfirmResponse` | `confirmAllMessages(ProcessedGetResponse getResponse)`
`ConfirmResponse` | `confirmAllTAcks(ProcessedGetResponse getResponse)`
`ConfirmResponse` | `confirmMessage(ProcessedMsgResponse msgResponse)`
`ConfirmResponse` | `confirmTAck(ProcessedTAckResponse tAckResponse)`
`SignatureVerificationResult` | `validateXadesTWithManifest(TAckResponse tAckResponse, Blob postedBlob, byte[] xadesT)` Method to validate asynchrounously the signature of a tack response against the original posted blob.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultCommonAsyncService

    public DefaultCommonAsyncService(String projectName)

Method Detail

### confirmAll

    public ConfirmResponse confirmAll(ProcessedGetResponse getResponse)
                               throws ConnectorException

  Specified by:
    `confirmAll` in interface `CommonAsyncService`
  Throws:
    `ConnectorException`

### confirmAllTAcks

    public ConfirmResponse confirmAllTAcks(ProcessedGetResponse getResponse)
                                    throws ConnectorException

  Specified by:
    `confirmAllTAcks` in interface `CommonAsyncService`
  Throws:
    `ConnectorException`

### confirmAllMessages

    public ConfirmResponse confirmAllMessages(ProcessedGetResponse getResponse)
                                       throws ConnectorException

  Specified by:
    `confirmAllMessages` in interface `CommonAsyncService`
  Throws:
    `ConnectorException`

### confirmTAck

    public ConfirmResponse confirmTAck(ProcessedTAckResponse tAckResponse)
                                throws ConnectorException

  Specified by:
    `confirmTAck` in interface `CommonAsyncService`
  Throws:
    `ConnectorException`

### confirmMessage

    public ConfirmResponse confirmMessage(ProcessedMsgResponse msgResponse)
                                   throws ConnectorException

  Specified by:
    `confirmMessage` in interface `CommonAsyncService`
  Throws:
    `ConnectorException`

### validateXadesTWithManifest

    public SignatureVerificationResult validateXadesTWithManifest(TAckResponse tAckResponse,
                                                                  Blob postedBlob,
                                                                  byte[] xadesT)
                                                           throws GenAsyncBusinessConnectorException

  Description copied from interface: `CommonAsyncService`
  Method to validate asynchrounously the signature of a tack response against the original posted blob.

  Specified by:
    `validateXadesTWithManifest` in interface `CommonAsyncService`
  Parameters:
    `tAckResponse` - the signed tack response
    `postedBlob` - the blob posted as the the original request. The signature must contain a manifest linked to this blob
    `xadesT` - the signature to be verified
  Returns:
  Throws:
    `GenAsyncBusinessConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSNURSE 3.25.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.